#include "kloadtypes.h"
#include <kconfig.h>
#include <kglobal.h>

KLoadConfig::KLoadConfig ()
{
	update();
}

void KLoadConfig::update()
{
	//KLoadConfig out;
	KConfig *config=KGlobal::config();
	config->setGroup("General");
	Current = config->readUnsignedNumEntry ("Current", 0);
	config->setGroup("Infos");
	/*out.*/CPU = config->readBoolEntry ("CPU", false);
	/*out.*/Load = config->readBoolEntry ("Load", true);
	/*out.*/Uptime = config->readBoolEntry ("Uptime", false);
	/*out.*/RamStd = config->readBoolEntry ("RamStd", false);
	/*out.*/RamP100 = config->readBoolEntry ("RamP100", true);
	/*out.*/RamNone = config->readBoolEntry ("RamNone", false);
	/*out.*/SwapStd = config->readBoolEntry ("SwapStd", false);
	/*out.*/SwapP100 = config->readBoolEntry ("SwapP100", true);
	/*out.*/SwapNone = config->readBoolEntry ("SwapNone", false);
	/*out.*/Net = config->readBoolEntry ("Net", true);
	/*out.*/NetSpeed = config->readBoolEntry ("NetSpeed", true);
	/*out.*/NetTotal = config->readBoolEntry ("NetTotal", false);
	/*out.*/NetExclusion = config->readEntry ("NetExclusion", "lo");
	//return out;
}

int KLoadConfig::saveCurrent(int npCurrent)
{
	if (npCurrent < 0) npCurrent = 0;
	KConfig *config=KGlobal::config();
	config->setGroup("General");
	config->writeEntry ("Current", npCurrent);
	Current = npCurrent;
	return npCurrent;
}
