/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include "dlgsettings.h"
#include "qcheckbox.h"
#include "qradiobutton.h"
#include "qlineedit.h"
#include "qgroupbox.h"
#include "kglobal.h"

void dlgSettings::init()
{
	KLoadConfig conf;
	chkCpu->setChecked(conf.CPU);
	chkLoad->setChecked(conf.Load);
	chkUptime->setChecked(conf.Uptime);
	radRamStd->setChecked(conf.RamStd);
	radRamP100->setChecked(conf.RamP100);
	radRamNone->setChecked(conf.RamNone);
	radSwapStd->setChecked(conf.SwapStd);
	radSwapP100->setChecked(conf.SwapP100);
	radSwapNone->setChecked(conf.SwapNone);
	chkNet->setChecked(conf.Net);
	ToggleNetwork();
	chkSpeed->setChecked(conf.NetSpeed);
	chkTotal->setChecked(conf.NetTotal);
	txtExclusion->setText(conf.NetExclusion);
}

void dlgSettings::SaveAndClose()
{
	Save();
	close();
}

void dlgSettings::Save()
{
	KConfig *config=KGlobal::config();
	config->setGroup("Infos");
	config->writeEntry ("CPU", chkCpu->isChecked ());
	config->writeEntry ("Load", chkLoad->isChecked ());
	config->writeEntry ("Uptime", chkUptime->isChecked ());
	config->writeEntry ("RamStd", radRamStd->isChecked ());
	config->writeEntry ("RamP100", radRamP100->isChecked ());
	config->writeEntry ("RamNone", radRamNone->isChecked ());
	config->writeEntry ("SwapStd", radSwapStd->isChecked ());
	config->writeEntry ("SwapP100", radSwapP100->isChecked ());
	config->writeEntry ("SwapNone", radSwapNone->isChecked ());
	config->writeEntry ("Net", chkNet->isChecked ());
	config->writeEntry ("NetSpeed", chkSpeed->isChecked ());
	config->writeEntry ("NetTotal", chkTotal->isChecked ());
	config->writeEntry ("NetExclusion", txtExclusion->text ());
	emit configChanged();
}

void dlgSettings::ToggleNetwork()
{
	grpNet->setEnabled(chkNet->isChecked ());
}
